# Interface ExternalDependency

All Superinterfaces:
  `Dependency, ModuleDependency, ModuleVersionSelector`

All Known Subinterfaces:
  `ClientModule, ExternalModuleDependency`

public interface ExternalDependency extends ModuleDependency, ModuleVersionSelector

An `ExternalDependency` is a `Dependency` on a source outside the current project hierarchy.

## Field Summary

### Fields inherited from interface Dependency

`ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

## Method Summary

Modifier and Type
Method
Description
`ExternalDependency`
`copy()`
Creates and returns a new dependency with the property values of this one.
`boolean`
`isForce()`
Returns whether or not the version of this dependency should be enforced in the case of version conflicts.
`ExternalDependency`
`setForce(boolean force)`
Sets whether or not the version of this dependency should be enforced in the case of version conflicts.
`void`
`version(Action<? super MutableVersionConstraint> configureAction)`
Configures the version constraint for this dependency.

### Methods inherited from interface Dependency

`contentEquals, getGroup, getName, getVersion`

### Methods inherited from interface ModuleDependency

`addArtifact, artifact, artifact, exclude, getArtifacts, getExcludeRules, getTargetConfiguration, isTransitive, setTargetConfiguration, setTransitive`

### Methods inherited from interface ModuleVersionSelector

`getGroup, getName, getVersion, getVersionConstraint, matchesStrictly`

## Method Details

### isForce

boolean isForce()
Returns whether or not the version of this dependency should be enforced in the case of version conflicts.

### setForce

ExternalDependency setForce(boolean force)
Sets whether or not the version of this dependency should be enforced in the case of version conflicts.

Parameters:
  `force` - Whether to force this version or not.
Returns:
  this

### copy

ExternalDependency copy()
Creates and returns a new dependency with the property values of this one.

Specified by:
  `copy` in interface `Dependency`
Specified by:
  `copy` in interface `ModuleDependency`
Returns:
  The copy. Never returns null.

### version

@Incubating void version(Action<? super MutableVersionConstraint> configureAction)
Configures the version constraint for this dependency.

Parameters:
  `configureAction` - the configuration action for the module version
Since:
  4.4